#import "JdfJfEnvironmentSwitchPlugin.h"

@implementation JdfJfEnvironmentSwitchPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"jdf_jf_environment_switch_plugin"
            binaryMessenger:[registrar messenger]];
  JdfJfEnvironmentSwitchPlugin* instance = [[JdfJfEnvironmentSwitchPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else {
    result(FlutterMethodNotImplemented);
  }
}

@end
